Gallery Platform API
Reference

List room scenes

Lists the room scenes a work can be previewed against, to true scale (docs/view-in-a-room-mvp-design.md).

GET
/gallery/room-scenes

Lists the room scenes a work can be previewed against, to true scale (docs/view-in-a-room-mvp-design.md).

Authorization

bearerAuth artworks:read
AuthorizationBearer <token>

A gallery API key, sent as Authorization: Bearer gpk_… (or the x-api-key header).

In: header

Scope: artworks:read

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

{  "data": [    {      "id": "string",      "label": "string",      "image_path": "string",      "px_per_cm": 1,      "max_art_width_cm": 1,      "max_art_height_cm": 1,      "aspect_ratio": "string"    }  ]}